Bug 171301 - [patch] fix graphics/dri, graphics/libGL, graphics/libdrm on tier-2 archs
Summary: [patch] fix graphics/dri, graphics/libGL, graphics/libdrm on tier-2 archs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-04 01:50 UTC by Mark Linimon
Modified: 2012-09-17 04:30 UTC (History)
0 users

See Also:


Attachments
file.diff (4.71 KB, patch)
2012-09-04 01:50 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2012-09-04 01:50:04 UTC
I last tried to fix these via ports/169874.  Further testing has shown
that those fixes were necessary but insufficient.

I am going to test the below patch on pointyhat-west/amd64 to make sure
there are no regressions.  I would appreciate other testers.
Comment 1 Edwin Groothuis freebsd_committer 2012-09-04 01:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2012-09-07 21:44:39 UTC
Hi,

I can confirm these build fine in tinderbox on ppc 10.0-CURRENT r239768.

Steve
Comment 3 Steve Wills freebsd_committer 2012-09-13 19:38:01 UTC
Responsible Changed
From-To: freebsd-x11->swills

I'll take it.
Comment 4 Steve Wills freebsd_committer 2012-09-17 04:22:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2012-09-17 04:23:14 UTC
Author: swills
Date: Mon Sep 17 03:23:03 2012
New Revision: 304385
URL: http://svn.freebsd.org/changeset/ports/304385

Log:
  - Fix build on PowerPC
  
  PR:		ports/171301
  Submitted by:	linimon

Modified:
  head/graphics/libGLU/Makefile
  head/graphics/libGLw/Makefile
  head/graphics/libdrm/Makefile   (contents, props changed)
  head/graphics/libdrm/pkg-plist   (contents, props changed)

Modified: head/graphics/libGLU/Makefile
==============================================================================
--- head/graphics/libGLU/Makefile	Mon Sep 17 02:37:38 2012	(r304384)
+++ head/graphics/libGLU/Makefile	Mon Sep 17 03:23:03 2012	(r304385)
@@ -22,4 +22,11 @@ do-install:
 	cd ${WRKSRC}/src/glu; ${GMAKE} install
 
 .include "${.CURDIR}/../../graphics/libGL/bsd.mesalib.mk"
-.include <bsd.port.mk>
+
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} != "amd64" || ${ARCH} != "i386"
+CONFIGURE_ARGS+=--disable-gallium-intel
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/graphics/libGLw/Makefile
==============================================================================
--- head/graphics/libGLw/Makefile	Mon Sep 17 02:37:38 2012	(r304384)
+++ head/graphics/libGLw/Makefile	Mon Sep 17 03:23:03 2012	(r304385)
@@ -20,4 +20,11 @@ do-install:
 	cd ${WRKSRC}/src/glw; ${GMAKE} install
 
 .include "${.CURDIR}/../../graphics/libGL/bsd.mesalib.mk"
-.include <bsd.port.mk>
+
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} != "amd64" || ${ARCH} != "i386"
+CONFIGURE_ARGS+=--disable-gallium-intel
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/graphics/libdrm/Makefile
==============================================================================
--- head/graphics/libdrm/Makefile	Mon Sep 17 02:37:38 2012	(r304384)
+++ head/graphics/libdrm/Makefile	Mon Sep 17 03:23:03 2012	(r304385)
@@ -52,10 +52,12 @@ PLIST_SUB+=	OLD="" NEW="@comment "
 
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} == "amd64" || ${ARCH} == "i386" || ${ARCH} == "ia64"
-PLIST_SUB+=	X86=""
+.if ${ARCH} == "amd64" || ${ARCH} == "i386" || ${ARCH} == "ia64" || ${ARCH} == "powerpc"
+PLIST_SUB+=     INTEL_DRIVER=""
+PLIST_SUB+=     RADEON_DRIVERS=""
 .else
-PLIST_SUB+=	X86="@comment "
+PLIST_SUB+=     INTEL_DRIVER="@comment"
+PLIST_SUB+=     RADEON_DRIVERS="@comment"
 .endif
 
 pre-patch:

Modified: head/graphics/libdrm/pkg-plist
==============================================================================
--- head/graphics/libdrm/pkg-plist	Mon Sep 17 02:37:38 2012	(r304384)
+++ head/graphics/libdrm/pkg-plist	Mon Sep 17 03:23:03 2012	(r304385)
@@ -11,28 +11,28 @@
 %%OLD%%include/drm/savage_drm.h
 %%OLD%%include/drm/sis_drm.h
 %%OLD%%include/drm/via_drm.h
-%%OLD%%%%X86%%include/intel_bufmgr.h
+%%OLD%%%%INTEL_DRIVER%%include/intel_bufmgr.h
 %%NEW%%include/libdrm/drm.h
 %%NEW%%include/libdrm/drm_fourcc.h
 %%NEW%%include/libdrm/drm_mode.h
 %%NEW%%include/libdrm/drm_sarea.h
 %%NEW%%include/libdrm/i915_drm.h
-%%NEW%%%%X86%%include/libdrm/intel_bufmgr.h
-%%NEW%%%%X86%%include/libdrm/intel_debug.h
+%%NEW%%%%INTEL_DRIVER%%include/libdrm/intel_bufmgr.h
+%%NEW%%%%INTEL_DRIVER%%include/libdrm/intel_debug.h
 %%NEW%%include/libdrm/mach64_drm.h
 %%NEW%%include/libdrm/mga_drm.h
 %%NEW%%include/libdrm/nouveau_drm.h
 %%NEW%%include/libdrm/nouveau_drmif.h
 %%NEW%%include/libdrm/r128_drm.h
-%%NEW%%%%X86%%include/libdrm/r600_pci_ids.h
-%%NEW%%%%X86%%include/libdrm/radeon_bo.h
-%%NEW%%%%X86%%include/libdrm/radeon_bo_gem.h
-%%NEW%%%%X86%%include/libdrm/radeon_bo_int.h
-%%NEW%%%%X86%%include/libdrm/radeon_cs.h
-%%NEW%%%%X86%%include/libdrm/radeon_cs_gem.h
-%%NEW%%%%X86%%include/libdrm/radeon_cs_int.h
+%%NEW%%%%RADEON_DRIVERS%%include/libdrm/r600_pci_ids.h
+%%NEW%%%%RADEON_DRIVERS%%include/libdrm/radeon_bo.h
+%%NEW%%%%RADEON_DRIVERS%%include/libdrm/radeon_bo_gem.h
+%%NEW%%%%RADEON_DRIVERS%%include/libdrm/radeon_bo_int.h
+%%NEW%%%%RADEON_DRIVERS%%include/libdrm/radeon_cs.h
+%%NEW%%%%RADEON_DRIVERS%%include/libdrm/radeon_cs_gem.h
+%%NEW%%%%RADEON_DRIVERS%%include/libdrm/radeon_cs_int.h
 %%NEW%%include/libdrm/radeon_drm.h
-%%NEW%%%%X86%%include/libdrm/radeon_surface.h
+%%NEW%%%%RADEON_DRIVERS%%include/libdrm/radeon_surface.h
 %%NEW%%include/libdrm/savage_drm.h
 %%NEW%%include/libdrm/sis_drm.h
 %%NEW%%include/libdrm/via_drm.h
@@ -53,22 +53,22 @@ include/xf86drmMode.h
 lib/libdrm.la
 lib/libdrm.so
 lib/libdrm.so.2
-%%X86%%lib/libdrm_intel.la
-%%X86%%lib/libdrm_intel.so
-%%X86%%lib/libdrm_intel.so.1
+%%INTEL_DRIVER%%lib/libdrm_intel.la
+%%INTEL_DRIVER%%lib/libdrm_intel.so
+%%INTEL_DRIVER%%lib/libdrm_intel.so.1
 lib/libdrm_nouveau.la
 lib/libdrm_nouveau.so
 lib/libdrm_nouveau.so.1
-%%NEW%%%%X86%%lib/libdrm_radeon.la
-%%NEW%%%%X86%%lib/libdrm_radeon.so
-%%NEW%%%%X86%%lib/libdrm_radeon.so.1
+%%NEW%%%%RADEON_DRIVERS%%lib/libdrm_radeon.la
+%%NEW%%%%RADEON_DRIVERS%%lib/libdrm_radeon.so
+%%NEW%%%%RADEON_DRIVERS%%lib/libdrm_radeon.so.1
 %%NEW%%%%KMS%%lib/libkms.la
 %%NEW%%%%KMS%%lib/libkms.so
 %%NEW%%%%KMS%%lib/libkms.so.1
 libdata/pkgconfig/libdrm.pc
-%%X86%%libdata/pkgconfig/libdrm_intel.pc
+%%INTEL_DRIVER%%libdata/pkgconfig/libdrm_intel.pc
 libdata/pkgconfig/libdrm_nouveau.pc
-%%NEW%%%%X86%%libdata/pkgconfig/libdrm_radeon.pc
+%%NEW%%%%RADEON_DRIVERS%%libdata/pkgconfig/libdrm_radeon.pc
 %%NEW%%%%KMS%%libdata/pkgconfig/libkms.pc
 @dirrm include/nouveau
 %%NEW%%%%KMS%%@dirrm include/libkms
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"